package cokr.xit.fims.crdn.dao;

import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.crdn.Crdn;
import cokr.xit.foundation.component.AbstractMapper;

/**단속 관리 DAO
 * @author leebj
 */
@Mapper("crdnUpdtMapper")
public interface CrdnUpdtMapper extends AbstractMapper {
	/**단속 상태를 변경한다.
	 * @param crdn 단속 대장
	 * @return 저장된 정보수
	 */
	int updateCrdnStatus(Crdn crdn);

	/**표지정보 미확인 자료를 확인 자료로 수정한다.
	 * @param crdn 단속 대장
	 * @return 저장된 정보수
	 */
	int updateTagInfo(Crdn crdn);

	/** 2시간 초과 여부를 변경한다.
	 * @param crdn 단속 대장
	 * @return 저장된 정보수
	 */
	int updateOverTimeInfo(Crdn crdn);

	/** 단속 자료의 금액을 변경한다.
	 * @param crdn 단속 대장
	 * @return 저장된 정보수
	 */
	int updateCrdnAmt(Crdn crdn);

	/**단속정보를 변경한다.<br />
	 * {@link cokr.xit.fims.crdn.service.bean.CrdnBean#update(Crdn)} 참고
	 * @param crdn 단속정보
	 * @return 저장된 정보수
	 */
	int updateCrdn(Crdn crdn);

	/**단속 부가 정보를 변경한다.<br />
	 * {@link cokr.xit.fims.crdn.service.bean.CrdnBean#update(Crdn)} 참고
	 * @param crdn 단속정보
	 * @return 저장된 정보수
	 */
	int updateCrdnAddition(Crdn crdn);

	/** 단속 자료를 삭제한다.
	 * @param map 삭제 요청 파라미터
	 * @return 저장된 정보수
	 */
	int deleteCrdn(Map<String, Object> map);

	/** 단속 자료를 삭제한다.
	 * @param map 삭제 요청 파라미터
	 * @return 저장된 정보수
	 */
	int deleteCrdnAdi(Map<String, Object> map);

}
